Skip to main content
PUT
/
payments
/
items
/
{id}
Update Item
curl --request PUT \
  --url https://api.rootfi.dev/v4/payments/items/{id} \
  --header 'Content-Type: application/json' \
  --header 'api_key: <api-key>' \
  --data '
{
  "name": "<string>",
  "description": "<string>",
  "sku": "<string>",
  "price": 123,
  "status": "DRAFT",
  "variants": [
    {
      "name": "<string>",
      "sku": "<string>",
      "price": 123,
      "attributes": {}
    }
  ]
}
'
{
  "rootfi_id": 157,
  "rootfi_created_at": "2024-01-22T05:07:31.465Z",
  "rootfi_updated_at": "2024-01-22T05:07:31.000Z",
  "rootfi_company_id": 1089,
  "platform_id": "123456",
  "rootfi_deleted_at": "2023-11-07T05:31:56Z",
  "platform_unique_id": "<string>",
  "raw_data": {},
  "data_hash": "<string>",
  "name": "<string>",
  "description": "<string>",
  "sku": "<string>",
  "price": 123,
  "currency_id": "<string>",
  "type": "INVENTORY",
  "status": "DRAFT",
  "created_at": "<string>",
  "updated_at": "<string>",
  "variants": [
    {
      "rootfi_id": 123,
      "platform_id": "<string>",
      "name": "<string>",
      "sku": "<string>",
      "price": 123,
      "attributes": {}
    }
  ]
}
Update an existing item in the payment platform catalog.

Path Parameters

ParameterTypeRequiredDescription
idstringYesThe rootfi_id or platform_id of the item

Request Body

FieldTypeRequiredDescription
namestringNoDisplay name
descriptionstringNoDetailed description
skustringNoStock Keeping Unit code
pricenumberNoBase price
statusstringNoItem status (active, archived)
variantsarrayNoProduct variants (replaces existing)
Updating an item’s price does not retroactively affect existing invoices or subscriptions.
See Item Overview for complete field details.

Authorizations

api_key
string
header
required

Path Parameters

id
string
required

Body

application/json
name
string | null
description
string | null
sku
string | null
price
number<double> | null
status
enum<string> | null
Available options:
DRAFT,
ACTIVE,
ARCHIVED,
UNKNOWN
variants
paymentsV4ItemVariantCreate · object[] | null

Response

Item updated successfully

V4 Item model representing products or services with variant support.

rootfi_id
number<double>
required

The unique ID we assign for that data's information

Example:

157

rootfi_created_at
string<date-time>
required

The date at which RootFi first synced this data

Example:

"2024-01-22T05:07:31.465Z"

rootfi_updated_at
string<date-time>
required

The latest date at which RootFi updated this data

Example:

"2024-01-22T05:07:31.000Z"

rootfi_company_id
number<double>
required

The ID of the company in the accounting platform

Example:

1089

platform_id
string
required

An unique custom RootFi ID made from platform's unique_id.

Example:

"123456"

rootfi_deleted_at
string<date-time> | null

The date at which the data was deleted in the accounting platform

platform_unique_id
string | null

The ID of the data in the accounting platform.

raw_data
object

A JSON containing fields that you can directly get from the accounting platform.

data_hash
string | null

The hash of the data

name
string | null

Display name of the item.

description
string | null

Detailed description of the item.

sku
string | null

Stock Keeping Unit code.

price
number<double> | null

Base price for this item.

currency_id
string | null

ISO 4217 currency code.

type
enum<string> | null

Type of item (INVENTORY, NON_INVENTORY, SERVICE, DIGITAL, UNKNOWN).

Available options:
INVENTORY,
NON_INVENTORY,
SERVICE,
DIGITAL,
UNKNOWN
status
enum<string> | null

Item availability status (DRAFT, ACTIVE, ARCHIVED, UNKNOWN).

Available options:
DRAFT,
ACTIVE,
ARCHIVED,
UNKNOWN
created_at
string | null

Original creation timestamp (ISO 8601).

updated_at
string | null

Last update timestamp (ISO 8601).

variants
paymentsV4ItemVariant · object[] | null

Product variants with different pricing/attributes.